> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get download URL for a report



## OpenAPI

````yaml /openapi/reports.json get /reports/{id}/download
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /reports/{id}/download:
    get:
      tags:
        - Reports
      summary: Get download URL for a report
      operationId: reports.getDownloadUrl
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    description: URL
                  expiresAt:
                    type: string
                    format: date-time
                    description: Expires At
                  filename:
                    type: string
                    description: Filename
                  contentType:
                    type: string
                    description: Content Type
                  size:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    exclusiveMinimum: 0
                    description: Size
                required:
                  - url
                  - expiresAt
                  - filename
                  - contentType
                  - size
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````